# $Revision: 1.6 $, $Date: 2004/09/29 05:10:35 $
Summary:	Serial programmer for Atmel AVR microcontrollers
Summary(pl):	Szeregowy programator dla mikrokontrolerw AVR Atmela
Name:		gAVR
Version:	0.3
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	http://dl.sourceforge.net/gavr/%{name}-%{version}.tar.gz
# Source0-md5:	e538442a2880e6ee932068a47f865e92
Source1:	%{name}.desktop
Patch0:		%{name}-typo_fix.patch
URL:		http://pvdb.dse.nl/electronics/gAVR.html
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphical programmer for Atmel AVR microcontrollers.

%description -l pl
Graficzny programator dla mikrokontrolerw AVR Atmela.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gAVR.spec,v $
Revision 1.6  2004/09/29 05:10:35  ankry
- rel. 1

Revision 1.5  2004/09/28 23:08:53  paladine
- rel 0.2 for fixed desktop file

Revision 1.4  2004/09/13 20:39:23  qboosh
- BR: automake

Revision 1.3  2004/09/12 06:55:13  bszx
- refresh config.sub for pentium3 (and amd64 probably too)

Revision 1.2  2004/09/11 18:44:29  yogib
- added desktop file

Revision 1.1  2004/09/11 18:21:12  yogib
- initial version
